<?
if ($room['umnik'] == 1) {
	
	function get_voice($id, $id_user, $pol) {
		$smiles = array(
		1 => array(".ковыр. ", " .дружба. ", ".галстук3.", ".ковыр2.", ".куку.", ".кур2.",  ".пишу.", ".посписку.", " .книга.", ".сгалстуком.", ".слупой.", ".слупой2.", ".умник.", " .вочках.", ".студент3."),
		2 => array(".ковыр.", ".потер.", ".учен.", ".ковыр2.", ".куку.", ".думает.",  ".пишу.", ".посписку.", ".го.", ".нифига.", ".слупой.", ".слупой2.", ".подмиг.", " .весело.", ".жду.", ".жду2.", ".злой2.", ".наухо."),
		3 => array(".смешком.", " .во. ", " .апл.", " .хлопает.", ".кул.", " .кул2..",  ".кул3.", ".мафия.", ".босс.", ".гномы.", ".гуд.", ".копилка.", ".накачели.", ".вкресле.", ".вкресле2."),
		4 => array(".демон.", ".гдевил.", ".кгам.", ".хрясь.", ".поголове.", ".попопе.",  " .висит.", " .висит2.", " .виселица.", " .стена.", " .стена2.", " .стена3.", ".суицид.", ".суицид2.", ".тормоз.", ".ковбой.", ".фу.", " .мат.", ".отстой.", ".злой4.", ".позор."),
		);
		
		$voice = array(
		1 => array("Короче напрягаем мозги, и внимательно читаем вопрос ",
		"Так, внимательно читаем вопрос ",
		"Ну первый вопрос у нас такой ",
		"Угадываем такой вопрос ",
		"Нууус ребятки и девчатки, смотрим вопрос",
		"Ну что приготовились? Вот вопросик ",
		"Так гуглом не пользуемся, я все вижу!! Читаем вопрос ",
		"Гг ну давайте угадывать это задание ",
		"А вот и я, да еще и с новым вопросом ",
		"Ребятки, давайте шевелите извилинками, вот следующий вопрос ",
		"А это угадаешь? Вопрос ",
		"Ты правда хочешь баллов? Думай над вопросом ",
		"Итак, первый вопрос такой ",
		"Ой то не вечер то не вееечер... мне э малым мало спало о о ось.. ой вам уже нужен вопрос? Вот он ",
		"Ну что же, следующий вопрос.. ",
		"А вот вам и вопросик ",
		"Тема такая ",
		"Че ждешь? Вот тебе вопрос ",
		"Ахаха, а на этот вопрос ответишь? "),
		
		2 => array(
		"Ну че так долго думаешь? Вот тебе ",
		"Так!!! Напргай мозги, вот ",
		"Эх.. ладно.. вот ",
		"Гг ну не знаешь, вот те ",
		"Ну что вы в самом деле?  ",
		"Давай те люди думайте! Вот вам ",
		"Думаем думаем ребята, вот те ",
		"Как сказал один хороший.. фиг его знает, короче не вытянишь рыбку из пруда.. или .дум., ой да ладно, вот вам ",
		"Пока вы там думаете, сорзрела ",
		"Да ребята, дело плохо, прочтите внимательнее и напрягите свои извилины "),
		
		3 => array(
		"Молодчина [b]".user::nick($id_user, 0)."[/b], ты угадал".($pol == 1 ? "" : "а")." слово ",
		"[b]".user::nick($id_user, 0)."[/b] ну ты ".($pol == 1 ? "красавчик" : "красавица")." вообще, ты правильно угадал слово ",
		"Поздравляю [b]".user::nick($id_user, 0)."[/b] ты угадал".($pol == 1 ? "" : "а")." слово ",
		"Поздравляю [b]".user::nick($id_user, 0)."[/b] ты правильно ответил".($pol == 1 ? "" : "а")." на вопрос ",
		"Молодец [b]".user::nick($id_user, 0)."[/b], берите пример с ".($pol == 1 ? "него, он" : "нее, она")." угадал".($pol == 1 ? "" : "а")." слово ",
		"Совершенно верно [b]".user::nick($id_user, 0)."[/b], ты  угадал".($pol == 1 ? "" : "а")." слово ",
		"[b]".user::nick($id_user, 0)."[/b], ты  угадал".($pol == 1 ? "" : "а")." слово ",
		"[b]".user::nick($id_user, 0)."[/b], правильно ответил".($pol == 1 ? "" : "а")." на вопрос "),
		
		4 => array(
		" Эх Вы.., не ответили на такой легкий вопрос ",
		" Ну блин.. никто не угадал этот вопрос ",
		" Никто из вас не дал ответа на этот вопрос.. ",
		" Чет вы ребята по плохели.. никто не угадал вопрос ")
		);
		
		return $smiles[$id][mt_rand(0, count($smiles[$id]) - 1)] . $voice[$id][mt_rand(0, count($voice[$id]) - 1)] . $smiles[$id][mt_rand(0, count($smiles[$id]) - 1)];		
	}

	
	$umnik_last = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_post` WHERE `room` = '$room[id]' AND `umnik_st` <> '0' ORDER BY id DESC"));

	if ($umnik_last != NULL && $umnik_last['umnik_st'] != 4 && $umnik_last['umnik_st'] != 0) {
		$umnik_vopros = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_vopros` WHERE `id` = '$umnik_last[vopros]' LIMIT 1"));
		$umnik_post = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_post` WHERE `room` = '$room[id]' AND `msg` like '%$umnik_vopros[otvet]%' AND `umnik_st` = '0' AND `time` >= '" . ($time - $umnik_last['time']) . "' ORDER BY `id` ASC LIMIT 1"));
		
		if ($umnik_post != NULL) {
			$add_balls = 0;

			if ($umnik_last['umnik_st'] == 1){
				$add_balls = 25; 
				$pods = 'не используя подсказок';
			} elseif ($umnik_last['umnik_st'] == 2) {
				$add_balls = 10; 
				$pods = 'используя одну подсказку';
			} elseif ($umnik_last['umnik_st'] == 3) {
				$add_balls = 5; 
				$pods = 'используя обе посказки';
			}
			
			$msg =  get_voice(3, $umnik_post['id_user'], $user['pol']) . ", $pods правильный ответ [b]$umnik_vopros[otvet][/b].\n
			[b]" . user::nick($umnik_post['id_user'], 0) . "[/b] получает [b][blue]$add_balls баллов[/blue][/b], а cледующий вопрос через $set[umnik_new] сек.";
			
			mysql_query("INSERT INTO `chat_post` (`umnik_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('4', '$time', '$msg', '$room[id]', '$umnik_vopros[id]', '0')");
			mysql_query("UPDATE `user` SET `balls` = `balls` + '" . $add_balls . "' WHERE `id` = '$umnik_post[id_user]' LIMIT 1");
			mysql_query("UPDATE `chat_who` SET `count_umnik` = `count_umnik` + '1' WHERE `id_user` = '$user[id]' LIMIT 1");
			mysql_query("UPDATE `chat_post` SET `umnik_st` = '4' WHERE `id` = '$umnik_post[id]' LIMIT 1");
			header('Location: ?func=room&id=' . $ID . '&sid=' . $_SESSION['sid']);
			exit;
		}
	}

	$umnik_last1 = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_post` WHERE `room` = '$room[id]' AND `umnik_st` = '1' ORDER BY id DESC"));

	if ($umnik_last1 != NULL && $umnik_last['umnik_st'] != 4 && $umnik_last1['time'] < time() - $set['umnik_time'])
	{
		$umnik_vopros = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_vopros` WHERE `id` = '$umnik_last1[vopros]' LIMIT 1"));
		
		$msg = get_voice(4, 0, 0) . "\nПравильный ответ: [b][red]$umnik_vopros[otvet] [/red][/b].\n Следующий вопрос через $set[umnik_new] сек. ";
		
		mysql_query("INSERT INTO `chat_post` (`umnik_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('4', '$time', '$msg', '$room[id]', '$umnik_vopros[id]', '0')");
			
		mysql_query("UPDATE `chat_post` SET `umnik_st` = '4' WHERE `id` = '$umnik_last1[id]' LIMIT 1");
		header('Location: ?func=room&id=' . $ID . '&sid=' . $_SESSION['sid']);
		exit;
	}

	$umnik_last = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_post` WHERE `room` = '$room[id]' AND `umnik_st` <> '0' ORDER BY id DESC"));

	if ($umnik_last == NULL || $umnik_last['umnik_st'] == 4 && $umnik_last['time'] < time() - $set['umnik_new'])
	{
		$k_vopr = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_vopros`"),0);
		$umnik_vopros = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_vopros` LIMIT " . rand(0, $k_vopr) . ", 1"));
		
		$msg = get_voice(1, 0, 0) . " \"[b]$umnik_vopros[vopros][/b]\"\n[b]Ответ:[/b] [b][blue]слово из ".strlen2($umnik_vopros['otvet'])." букв[/blue][/b].";
		
		mysql_query("INSERT INTO `chat_post` (`umnik_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('1', '$time', '$msg', '$room[id]', '$umnik_vopros[id]', '0')");
	}

	if ($umnik_last != NULL && $umnik_last['umnik_st'] == 1 && $umnik_last['time'] < time() - $set['umnik_help'])
	{
		$umnik_vopros = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_vopros` WHERE `id` = '$umnik_last[vopros]' LIMIT 1"));
		
		if (function_exists('iconv_substr')) {
			$help = iconv_substr($umnik_vopros['otvet'], 0, 1, 'utf-8');
		} else {
			$help = substr($umnik_vopros['otvet'], 0, 2);
		}
		
		for ($i = 0; $i < strlen2($umnik_vopros['otvet']) - 1; $i++ ) {
			$help .= '*';
		}
		
		$msg = get_voice(2, 0, 0) . " первая подсказка: [b]$help [/b] (" . strlen2($umnik_vopros['otvet']) . " букв)\nНапоминаю, вопрос: [green]\"$umnik_vopros[vopros]\"[/green]";
		
		mysql_query("INSERT INTO `chat_post` (`umnik_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('2', '$time', '$msg', '$room[id]', '$umnik_vopros[id]', '0')");
	}

	if ($umnik_last != NULL && $umnik_last['umnik_st'] == 2 && $umnik_last['time'] < time() - $set['umnik_help'])
	{
		$umnik_vopros = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_vopros` WHERE `id` = '$umnik_last[vopros]' LIMIT 1"));
		
		if (function_exists('iconv_substr')) {
			$help = iconv_substr($umnik_vopros['otvet'], 0, 2, 'utf-8');
		} else {
			$help = substr($umnik_vopros['otvet'], 0, 4);
		}
		
		for ($i = 0; $i < strlen2($umnik_vopros['otvet']) - 2; $i++ ) {
			$help .= '*';
		}
		
		$msg = get_voice(2, 0, 0) . " последняя подсказка: [b]$help [/b] (" . strlen2($umnik_vopros['otvet']) . " букв)\nНапоминаю, вопрос: [green]\"$umnik_vopros[vopros]\"[/green]";
		
		mysql_query("INSERT INTO `chat_post` (`umnik_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('3', '$time', '$msg', '$room[id]', '$umnik_vopros[id]', '0')");
	}	
}
?>